Subject: [linux-sunxi] Problem with Allwinner H3 clocks

From: [email-masked] (Jens Kuske)
Date: Thu, 28 Jan 2016 14:16:26 +0100

On 28/01/16 09:15, Hans de Goede wrote:
> Hi,
> 
> On 27-01-16 20:02, Jean-Francois Moine wrote:
>> On Wed, 27 Jan 2016 19:16:42 +0100
>> Hans de Goede <[email-masked]> wrote:
>>
>>>> To be sure, I generated a pure 4.5-rc1 kernel. Same result: no UART.
>>>> Maybe... one more information: I am using Allwinner's u-boot.
>>>
>>> Could be that that is the culprit, why are you not using upstream u-boot?
>>> upstream u-boot has H3 and orangepi-pc support now.
>>
>> Yes, but using the upstream u-boot may hide the clock problem.
> 
> I agree that that could be the case. Would be interesting to figure out
> what exactly is needed to get the upstream kernel to work properly
> with allwinner's u-boot.

Hi,

after figuring out how to boot a devicetree kernel with allwinner's
u-boot I only had to add the mandatory
	
	clock-frequency = <24000000>;
	arm,cpu-registers-not-fw-configured;

to the timer node and v4.5-rc1 booted successfully. They are
intentionally left out in the official dt, because documentation says
one should prefer to fix the firmware -> mainline u-boot
No problems with clocks or uart here.

Jens